/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_AFFILIATION_H
#define KFACEBOOK_AFFILIATION_H

#include <QDate>
#include <QString>

#include <kfacebook/kfacebook_export.h>

class AffiliationPrivate;

namespace KFacebook
{
class KFACEBOOK_EXPORT Affiliation
{
public:
    enum Type { College, HighSchool, Work, Region };
    Affiliation();
    Affiliation( Type type, uint year, const QString & name, uint nid, const QString & gradStatus = "" );
    Affiliation( const Affiliation &);
    ~Affiliation();
    Affiliation& operator=( const Affiliation & );
    bool isNull() const;
    Type type() const;
    QDate year() const;
    QString name() const;
    uint nid() const;
    QString gradStatus() const;

    QString toString() const;
private:
    AffiliationPrivate * const d;
};

} // namespace KFacebook

#endif
