/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_EDUCATION_H
#define KFACEBOOK_EDUCATION_H

#include <QDate>
#include <QStringList>
#include <kfacebook/kfacebook_export.h>


class EducationPrivate;

namespace KFacebook
{
class KFACEBOOK_EXPORT Education
{
public:
    Education();
    Education( const QDate & year, const QString & name, const QStringList & concentrations );
    Education( const Education & );
    ~Education();
    Education& operator=( const Education & );
    bool isNull() const;
    QDate year() const;
    QString name() const;
    QStringList concentrations() const;

    QString toString() const;
private:
    EducationPrivate * const d;
};
} // namespace Facebook

#endif // KFACEBOOK_EDUCATION_H
