/*
    This file is part of Fate.

    Copyright (c) 2007 SUSE LINUX Products GmbH

    Authors: Cornelius Schumacher <cschum@suse.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "jobs.h"

//#include "version.h"

//X KIO::FileCopyJob *Jobs::file_copy( const KURL &source, const KURL &destination,
//X   bool showProgress )
//X {
//X   KIO::FileCopyJob *job = KIO::file_copy( source, destination,
//X     -1, true, false, showProgress );
//X 
//X   setMetaData( job );
//X   
//X   return job;
//X }
//X       
//X KIO::TransferJob *Jobs::get( const KURL &url )
//X {
//X   KIO::TransferJob *job = KIO::get( url, false, false );
//X 
//X   setMetaData( job );
//X   
//X   return job;  
//X }

KIO::TransferJob *Jobs::http_post( const KUrl &url, const QByteArray &data )
{
  KIO::TransferJob *job = KIO::http_post( url, data );

  setMetaData( job );
  
  return job;
}

//X KIO::TransferJob *Jobs::put( const KURL &url )
//X {
//X   KIO::TransferJob *job = KIO::put( url, -1, true, false, true );
//X 
//X   setMetaData( job );
//X   
//X   return job;
//X }

void Jobs::setMetaData( KIO::Job *job )
{
  job->addMetaData( "PropagateHttpHeader", "true" );
  job->addMetaData( "accept", "text/xml" );

  QString userAgent = QString( "KDE Facebook Client %1" ).arg( "1.0" );
  job->addMetaData( "UserAgent", userAgent );
}
