/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_LOCATION_H
#define KFACEBOOK_LOCATION_H

#include <QString>

#include <kfacebook/kfacebook_export.h>

class LocationPrivate;

namespace KFacebook
{
class KFACEBOOK_EXPORT Location
{
public:
    Location();
    Location( const QString & city, const QString & country, const QString & state, uint zip = 0 );
    Location( const Location & );
    ~Location();
    Location &operator=( const Location & );
    bool isNull() const;
    QString city() const;
    QString country() const;
    QString state() const;
    uint zip() const;

    QString toString() const;
private:
    LocationPrivate * d;
};
} // namespace KFacebook
#endif
