/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#include "method.h"
QString KFacebook::Method::PARAM_API_KEY = QString( "api_key" );
QString KFacebook::Method::PARAM_AUTH_TOKEN = QString( "auth_token" );
QString KFacebook::Method::PARAM_CALL_ID = QString( "call_id" );
QString KFacebook::Method::PARAM_FIELDS = QString( "fields" );
QString KFacebook::Method::PARAM_METHOD = QString( "method" );
QString KFacebook::Method::PARAM_SESSION_KEY = QString( "session_key" );
QString KFacebook::Method::PARAM_UID = QString( "uid" );
QString KFacebook::Method::PARAM_UIDS = QString( "uids" );
QString KFacebook::Method::PARAM_VERSION = QString( "v" );

QString KFacebook::Method::PARAM_FRIENDS_UIDS1 = QString("uids1");
QString KFacebook::Method::PARAM_FRIENDS_UIDS2 = QString("uids2");

QString KFacebook::Method::PARAM_FEED_TITLE = QString("title");
QString KFacebook::Method::PARAM_FEED_BODY = QString("body");
QString KFacebook::Method::PARAM_FEED_IMAGE1 = QString("image_1");
QString KFacebook::Method::PARAM_FEED_IMAGE1LINK = QString("image_1_link");
QString KFacebook::Method::PARAM_FEED_IMAGE2 = QString("image_2");
QString KFacebook::Method::PARAM_FEED_IMAGE2LINK = QString("image_2_link");
QString KFacebook::Method::PARAM_FEED_IMAGE3 = QString("image_3");
QString KFacebook::Method::PARAM_FEED_IMAGE3LINK = QString("image_3_link");
QString KFacebook::Method::PARAM_FEED_IMAGE4 = QString("image_4");
QString KFacebook::Method::PARAM_FEED_IMAGE4LINK = QString("image_4_link");
QString KFacebook::Method::PARAM_FEED_PRIORITY = QString("priority");

QString KFacebook::Method::PARAM_QUERY = QString("query");

QString KFacebook::Method::PARAM_NOTIFICATIONS_TO_IDS = QString("to_ids");
QString KFacebook::Method::PARAM_NOTIFICATIONS_MARKUP = QString("markup");
QString KFacebook::Method::PARAM_NOTIFICATIONS_NO_EMAIL = QString("no_email");
QString KFacebook::Method::PARAM_NOTIFICATIONS_TYPE = QString("type");
QString KFacebook::Method::PARAM_NOTIFICATIONS_IMAGE = QString("image");
QString KFacebook::Method::PARAM_NOTIFICATIONS_INVITE = QString("invite");

QString KFacebook::Method::PARAM_EVENTS_EID = QString("eid");
QString KFacebook::Method::PARAM_EVENTS_EIDS = QString("eids");
QString KFacebook::Method::PARAM_EVENTS_START_TIME = QString("start_time");
QString KFacebook::Method::PARAM_EVENTS_END_TIME = QString("end_time");
QString KFacebook::Method::PARAM_EVENTS_RSVP_STATUS = QString("rsvp_status");

QString KFacebook::Method::PARAM_GROUPS_GID = QString("gid");
QString KFacebook::Method::PARAM_GROUPS_GIDS = QString("gids");

QString KFacebook::Method::AUTH_CREATETOKEN
        = QString("facebook.auth.createToken");
QString KFacebook::Method::AUTH_GETSESSION
        = QString("facebook.auth.getSession");
QString KFacebook::Method::FEED_PUBLISHSTORYTOUSER
        = QString("facebook.feed.publishStoryToUser");
QString KFacebook::Method::FEED_PUBLISHACTIONOFUSER
        = QString("facebook.feed.publishActionOfUser");
QString KFacebook::Method::FQL_QUERY
        = QString("facebook.fql.query");
QString KFacebook::Method::FRIENDS_AREFRIENDS
        = QString("facebook.friends.areFriends");
QString KFacebook::Method::FRIENDS_GET
        = QString("facebook.friends.get");
QString KFacebook::Method::FRIENDS_GETAPPUSERS
        = QString("facebook.friends.getAppUsers");
QString KFacebook::Method::NOTIFICATIONS_GET
        = QString("facebook.notifications.get");
QString KFacebook::Method::NOTIFICATIONS_SEND
        = QString("facebook.notifications.send");
QString KFacebook::Method::NOTIFICATIONS_SENDREQUEST
        = QString("facebook.notifications.sendRequest");
QString KFacebook::Method::PROFILE_GETFBML
        = QString("facebook.profile.getFBML");
QString KFacebook::Method::PROFILE_SETFBML
        = QString("facebook.profile.setFBML");
QString KFacebook::Method::UPDATE_DECODEIDS
        = QString("facebook.update.decodeIDs");
QString KFacebook::Method::USERS_GETINFO
        = QString("facebook.users.getInfo");
QString KFacebook::Method::USERS_GETLOGGEDINUSER
        = QString("facebook.users.getLoggedInUser");
QString KFacebook::Method::EVENTS_GET
        = QString("facebook.events.get");
QString KFacebook::Method::EVENTS_GETMEMBERS
        = QString("facebook.events.getMembers");
QString KFacebook::Method::GROUPS_GET
        = QString("facebook.groups.get");
QString KFacebook::Method::GROUPS_GETMEMBERS =
        QString("facebook.groups.getMembers");
QString KFacebook::Method::PHOTOS_ADDTAG =
        QString("facebook.photos.addTag");
QString KFacebook::Method::PHOTOS_CREATEALBUM =
        QString("facebook.photos.createAlbum");
QString KFacebook::Method::PHOTOS_GET =
        QString("facebook.photos.get");
QString KFacebook::Method::PHOTOS_GETALBUMS =
        QString("facebook.photos.getAlbums");
QString KFacebook::Method::PHOTOS_GETTAGS =
        QString("facebook.photos.getTags");
QString KFacebook::Method::PHOTOS_UPLOAD =
        QString("facebook.photos.upload");
        
QString KFacebook::Method::FIELD_UID = QString( "uid" );
QString KFacebook::Method::FIELD_ABOUT_ME = QString( "about_me" );
QString KFacebook::Method::FIELD_ACTIVITIES = QString( "activities" );
QString KFacebook::Method::FIELD_AFFILIATIONS = QString( "affiliations" );
QString KFacebook::Method::FIELD_BIRTHDAY = QString( "birthday" );
QString KFacebook::Method::FIELD_BOOKS = QString( "books" );
QString KFacebook::Method::FIELD_CURRENT_LOCATION = QString( "current_location" );
QString KFacebook::Method::FIELD_EDUCATION_HISTORY = QString( "education_history" );
QString KFacebook::Method::FIELD_FIRST_NAME = QString( "first_name" );
QString KFacebook::Method::FIELD_HAS_ADDED_APP = QString( "has_added_app" );
QString KFacebook::Method::FIELD_HOMETOWN_LOCATION = QString( "hometown_location" );
QString KFacebook::Method::FIELD_HIGHSCHOOL_INFO = QString( "hs_info" );
QString KFacebook::Method::FIELD_INTERESTS = QString( "interests" );
QString KFacebook::Method::FIELD_IS_APP_USER = QString( "is_app_user" );
QString KFacebook::Method::FIELD_LAST_NAME = QString( "last_name" );
QString KFacebook::Method::FIELD_LOOKING_FOR = QString( "meeting_for" );
QString KFacebook::Method::FIELD_INTERESTED_IN = QString( "meeting_sex" );
QString KFacebook::Method::FIELD_MOVIES = QString( "movies" );
QString KFacebook::Method::FIELD_MUSIC = QString( "music" );
QString KFacebook::Method::FIELD_NAME = QString( "name" );
QString KFacebook::Method::FIELD_NOTES_COUNT = QString( "notes_count" );
QString KFacebook::Method::FIELD_PICTURE_SMALL = QString( "pic_small" );
QString KFacebook::Method::FIELD_PICTURE_MEDIUM = QString( "pic" );
QString KFacebook::Method::FIELD_PICTURE_LARGE = QString( "pic_big" );
QString KFacebook::Method::FIELD_PICTURE_SQUARE = QString( "pic_square" );
QString KFacebook::Method::FIELD_POLITICAL = QString( "political" );
QString KFacebook::Method::FIELD_PROFILE_UPDATE_TIME = QString( "profile_update_time" );
QString KFacebook::Method::FIELD_QUOTES = QString( "quotes" );
QString KFacebook::Method::FIELD_RELATIONSHIP_STATUS = QString( "relationship_status" );
QString KFacebook::Method::FIELD_RELIGION = QString( "religion" );
QString KFacebook::Method::FIELD_SEX = QString( "sex" );
QString KFacebook::Method::FIELD_SIGNIFICANT_OTHER = QString( "significant_other_id" );
QString KFacebook::Method::FIELD_STATUS = QString( "status" );
QString KFacebook::Method::FIELD_TIMEZONE = QString( "timezone" );
QString KFacebook::Method::FIELD_TV = QString( "tv" );
QString KFacebook::Method::FIELD_WALL_COUNT = QString( "wall_count" );
QString KFacebook::Method::FIELD_WORK_HISTORY = QString( "work_history" );

