/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_METHOD_H
#define KFACEBOOK_METHOD_H

#include <QMap>
#include <QString>
#include <kfacebook/kfacebook_export.h>

namespace KFacebook
{
class KFACEBOOK_EXPORT Method : public QMap<QString, QString>
{
public:
    static QString PARAM_API_KEY;
    static QString PARAM_AUTH_TOKEN;
    static QString PARAM_CALL_ID;
    static QString PARAM_METHOD;
    static QString PARAM_FIELDS;
    static QString PARAM_SESSION_KEY;
    static QString PARAM_UID;
    static QString PARAM_UIDS;
    static QString PARAM_VERSION;

    static QString PARAM_FRIENDS_UIDS1;
    static QString PARAM_FRIENDS_UIDS2;

    static QString PARAM_FEED_TITLE;
    static QString PARAM_FEED_BODY;
    static QString PARAM_FEED_IMAGE1;
    static QString PARAM_FEED_IMAGE1LINK;
    static QString PARAM_FEED_IMAGE2;
    static QString PARAM_FEED_IMAGE2LINK;
    static QString PARAM_FEED_IMAGE3;
    static QString PARAM_FEED_IMAGE3LINK;
    static QString PARAM_FEED_IMAGE4;
    static QString PARAM_FEED_IMAGE4LINK;
    static QString PARAM_FEED_PRIORITY;

    static QString PARAM_QUERY;

    static QString PARAM_NOTIFICATIONS_TO_IDS;
    static QString PARAM_NOTIFICATIONS_MARKUP;
    static QString PARAM_NOTIFICATIONS_NO_EMAIL;
    static QString PARAM_NOTIFICATIONS_TYPE;
    static QString PARAM_NOTIFICATIONS_IMAGE;
    static QString PARAM_NOTIFICATIONS_INVITE;

    static QString PARAM_EVENTS_EID;
    static QString PARAM_EVENTS_EIDS;
    static QString PARAM_EVENTS_START_TIME;
    static QString PARAM_EVENTS_END_TIME;
    static QString PARAM_EVENTS_RSVP_STATUS;

    static QString PARAM_GROUPS_GID;
    static QString PARAM_GROUPS_GIDS;

    static QString AUTH_CREATETOKEN;
    static QString AUTH_GETSESSION;
    static QString FEED_PUBLISHSTORYTOUSER;
    static QString FEED_PUBLISHACTIONOFUSER;
    static QString FQL_QUERY;
    static QString FRIENDS_AREFRIENDS;
    static QString FRIENDS_GET;
    static QString FRIENDS_GETAPPUSERS;
    static QString NOTIFICATIONS_GET;
    static QString NOTIFICATIONS_SEND;
    static QString NOTIFICATIONS_SENDREQUEST;
    static QString PROFILE_GETFBML;
    static QString PROFILE_SETFBML;
    static QString UPDATE_DECODEIDS; // shouldn't be needed as this lib came after the beta
    static QString USERS_GETINFO;
    static QString USERS_GETLOGGEDINUSER;
    static QString EVENTS_GET;
    static QString EVENTS_GETMEMBERS;
    static QString GROUPS_GET;
    static QString GROUPS_GETMEMBERS;
    static QString PHOTOS_ADDTAG;
    static QString PHOTOS_CREATEALBUM;
    static QString PHOTOS_GET;
    static QString PHOTOS_GETALBUMS;
    static QString PHOTOS_GETTAGS;
    static QString PHOTOS_UPLOAD;

    static QString FIELD_UID;
    static QString FIELD_ABOUT_ME;
    static QString FIELD_ACTIVITIES;
    static QString FIELD_AFFILIATIONS;
    static QString FIELD_BIRTHDAY;
    static QString FIELD_BOOKS;
    static QString FIELD_CURRENT_LOCATION;
    static QString FIELD_EDUCATION_HISTORY;
    static QString FIELD_FIRST_NAME;
    static QString FIELD_HAS_ADDED_APP;
    static QString FIELD_HOMETOWN_LOCATION;
    static QString FIELD_HIGHSCHOOL_INFO;
    static QString FIELD_INTERESTS;
    static QString FIELD_IS_APP_USER;
    static QString FIELD_LAST_NAME;
    static QString FIELD_LOOKING_FOR;
    static QString FIELD_INTERESTED_IN;
    static QString FIELD_MOVIES;
    static QString FIELD_MUSIC;
    static QString FIELD_NAME;
    static QString FIELD_NOTES_COUNT;
    static QString FIELD_PICTURE_SMALL;
    static QString FIELD_PICTURE_MEDIUM;
    static QString FIELD_PICTURE_LARGE;
    static QString FIELD_PICTURE_SQUARE;
    static QString FIELD_POLITICAL;
    static QString FIELD_PROFILE_UPDATE_TIME;
    static QString FIELD_QUOTES;
    static QString FIELD_RELATIONSHIP_STATUS;
    static QString FIELD_RELIGION;
    static QString FIELD_SEX;
    static QString FIELD_SIGNIFICANT_OTHER;
    static QString FIELD_STATUS;
    static QString FIELD_TIMEZONE;
    static QString FIELD_TV;
    static QString FIELD_WALL_COUNT;
    static QString FIELD_WORK_HISTORY;
};

}

#endif // METHOD_H
