/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_USERINFOXMLHELPER_H
#define KFACEBOOK_USERINFOXMLHELPER_H

#include <QDomElement>
#include <kfacebook/userinfo.h>

class UserInfoXMLHelper
{
public:
    static QList<KFacebook::UserInfo> parseUsers( const QDomElement & elem );
    static KFacebook::UserInfo parseUser( const QDomElement & elem );
    static QList<KFacebook::Affiliation> parseAffiliations( const QDomElement & elem );
    static QList<KFacebook::Education> parseEducationHistory( const QDomElement & elem );
    static KFacebook::Location parseLocation( const QDomElement & elem );
    static KFacebook::HighschoolInfo parseHighschoolInfo( const QDomElement & elem );
    static QList<KFacebook::WorkInfo> parseWorkHistory( const QDomElement & elem );
    static QDate parseDate( const QString & );
};

#endif // KFACEBOOK_USERINFOXMLHELPER_H
