/*  This file is part of the KDE project
    Copyright (C) 2007,2008 Will Stephenson <wstephenson@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library.  If not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef KFACEBOOK_WORKINFO_H
#define KFACEBOOK_WORKINFO_H

#include <QDate>
#include <QString>
#include <kfacebook/kfacebook_export.h>
#include <kfacebook/location.h>

class WorkInfoPrivate;

namespace KFacebook
{

class KFACEBOOK_EXPORT WorkInfo
{
public:
    WorkInfo();
    WorkInfo( const Location & location, const QString & companyName, const QDate & start, const QDate & end, const QString & description, const QString & position );
    WorkInfo( const WorkInfo& );
    ~WorkInfo();
    WorkInfo& operator=( const WorkInfo& );
    bool isNull() const;
    Location location() const;
    QString companyName() const;
    QDate start() const;
    QDate end() const;
    QString description() const;
    QString position() const;

    QString toString() const;
private:
    WorkInfoPrivate * const d;
};

} // namespace Facebook

#endif // KFACEBOOK_WORKINFO_H
